# -------------------------------------------------------------------------------------------------
#<profile4xi profile = "00" />
#<program4xi program = "photo2i4xi.py">
#<abstract4xi abstract = "defines photos starting with i"/>
#<refer4xi reference = "photo4xi.py"/>
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; ACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
iiallii = [ 'None' ]
#"
#/>
# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "

#"
#/>


# -------------------------------------------------------------------------------------------------
# Multiprocessing Imports                          
# -------------------------------------------------------------------------------------------------

#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "
import version4xi
from version4xi import VersionKB4Xi
from version4xi import ROOT4XI 
#"
#/>

# -------------------------------------------------------------------------------------------------
# Global constants                            
# ------------------------------------------------------------------------------------------------
#<globalize4xi globalization = "
global Photo2i4Xi
global keys2Photo2i4Xi
global debug2Photo2i4Xi
global Path2i4Xi
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi Globals                            
# ------------------------------------------------------------------------------------------------
#<globalize4xi globalization = "
kb4repeator2xi = {0: ' ',1: ' ()',2:' []',3:''} 
#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
debug2Photo2i4Xi = True            
#"
#"/>
if debug2Photo2i4Xi is True:
    Photo2i4Xi = { 
                                                                                                                     # name for photos
              'idummy' : {kb4repeator2xi[0]:  {0:'10october2012',                                                   # date (optional)
                                               1:'001',  # idummy10october2012 001.jpg                              # all repeators 
                                               2:'003',  # idummy10october2012 003.jpg                              # photos per each repetor
                                               3:'007',  # idummy10october2012 007.jpg                              # indexes may not be consecutive
                                               4:'009'}, # idummy10october2012 009.jpg                              # users may have deleted some photos
                                               
                          kb4repeator2xi[1]:  {0:'20november2012',                                                  # date (optional)
                                               1:2,      # idummy20november2012 (2).jpg                             # repeator may vary between different cameras
                                               2:4,      # idummy20november2012 (4).jpg
                                               3:6,      # idummy20november2012 (6).jpg
                                               4:8},     # idummy20november2012 (8).jpg 
                                               
                          kb4repeator2xi[2]:  {0:'',                                                                # no date
                                               1:12,     # idummy [12].jpg                                          # repeator may vary between different cameras
                                               2:14,     # idummy [14].jpg
                                               3:16,     # idummy [16].jpg
                                               4:18}     # idummy [18].jpg                                                                    
                         },
               'icecandle':
                         {kb4repeator2xi[1]:
                                              {0:'',                                                                 # no date
                                               1:1,      # icecandle (1).jpg
                                               2:2,      # icecandle (2).jpg
                                               3:3,      # icecandle (3).jpg
                                               4:4,      # icecandle (4).jpg
                                               5:5,      # icecandle (5).jpg
                                               6:6,      # icecandle (6).jpg
                                               7:7,      # icecandle (7).jpg
                                               8:8,      # icecandle (8).jpg
                                               9:9,      # icecandle (9).jpg   
                                              }
                         }                     
             }
    keys2Photo2i4Xi =  Photo2i4Xi.keys()
    for key2name in sorted(keys2Photo2i4Xi):
        print(key2name)                                                                                              # idummy
        kb2index = Photo2i4Xi[key2name]
        print('kb2index: ', kb2index)
        keys2index = kb2index.keys()
        print(keys2index)                                                                                            # ' ',' ()'
        for key2index in keys2index:
            kb2images = kb2index[key2index]
            keys2images = kb2images.keys()
            
            for key2image in keys2images:
                if key2image > 0:
                    print('index:', kb2images[key2image])                                                            # 2,4,6,8  001,003,007,007
                    if key2index == ' ':
                        print('file: ', str(key2name) + str(date2xi) + str(key2index) + str(kb2images[key2image]) + '.jpg')    # idummy10october2012 001.jpg ...
                    if key2index == ' ()':
                        print('file: ', str(key2name) + str(date2xi) + ' (' + str(kb2images[key2image]) + ')'+ '.jpg')    # idummy20november2012 (2).jpg ...
                    if key2index == ' []':
                        print('file: ', str(key2name) + str(date2xi) + ' [' + str(kb2images[key2image]) + ']'+ '.jpg')    # idummy20november2012 [12].jpg ... 
                    if key2index == '':
                        print('file: ', str(key2name) + str(date2xi) + str(kb2images[key2image]) + '.jpg')                # idummy.jpg          
                else:
                    date2xi = kb2images[key2image]                                                                        # 10october2012, 20november2012
                                                                                                                          # "S:\\PHOTOS\\yodragonxiorg\\web\\temp\\images\\jpg\\server\\thumb\\i"
    Path2i4Xi = {"S:\\":
                  {"PHOTOS:\\":
                    {"yodragonxiorg\\":
                      {"web\\":
                        {"temp\\":
                          {"jpg\\":
                            {"server\\":
                              {"thumb\\":
                                {"i\\":
                                  {}
                                }  
                              }
                            }                                
                          }
                        }
                      }
                    }
                  }
                }
     
   
      
    print('Path2i4Xi: ',Path2i4Xi)                                                                                          
else:
    Photo2i4Xi = {}         
    keys2Photo2i4Xi =  Photo2i4Xi.keys()
    Path2i4Xi = {} 

    
                                                                       
#</program4xi>

# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   photo2i4xi.txt
# idummy
# kb2index:  {' []': {0: '', 1: 12, 2: 14, 3: 16, 4: 18}, ' ()': {0: '20november2012', 1: 2, 2: 4, 3: 6, 4: 8}, ' ': {0: '10october2012', 1: '001', 2: '003', 3: '007', 4: '009'}}
# dictikeys([' []', ' ()', ' '])
# index: 12
# file:  idummy [12].jpg
# index: 14
# file:  idummy [14].jpg
# index: 16
# file:  idummy [16].jpg
# index: 18
# file:  idummy [18].jpg
# index: 2
# file:  idummy20november2012 (2).jpg
# index: 4
# file:  idummy20november2012 (4).jpg
# index: 6
# file:  idummy20november2012 (6).jpg
# index: 8
# file:  idummy20november2012 (8).jpg
# index: 001
# file:  idummy10october2012 001.jpg
# index: 003
# file:  idummy10october2012 003.jpg
# index: 007
# file:  idummy10october2012 007.jpg
# index: 009
# file:  idummy10october2012 009.jpg 
#"
#>

# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of photo2i4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>
